Subject: Re: [PATCH 5/10 v2] Add 8641 CPU and i8259 Setup

From: Jon Loeliger <[email-masked]>
Date: Fri, 09 Jun 2006 11:05:30 -0500

So, like, the other day Benjamin Herrenschmidt mumbled:
> 
> [A bunch of SMP issues.]
> 
> The above is wrong, it prevents using the same kernel image on another
> platform.

> Same comment above... #ifdef is bad. You are entering from 0x100 with
> address translation not disabled ?

> > +	bl	clear_bats
> >  	bl	load_up_mmu
> 
> Why do you need to call clear_bats here ? load_up_mmu should load BATs.
> If it doesn't handle the high BATs, then fix it :) 

> > +#ifdef CONFIG_I8259_LEVEL_TRIGGER
> > +	outb(0xfa, 0x4d0); /* level triggered */
> > +	outb(0xde, 0x4d1);
> > +#endif
> 
> Another change that breaks multiplatform... Can you explain precisely
> what you are trying to acheive here ? If necessary, we can add an
> argument to i8259_init. Or you could do the above in your platform
> code ... though I agree it would be a bit ugly :) 

OK.  I don't have direct answers in hand for some of
these questions and issues.  I'll get with original
authors and see what we can do clean this up!

Thanks!

jdl